Package org.eclipse.core.runtime

## Interface IPluginDescriptor

    @Deprecated
    public interface IPluginDescriptor

Deprecated.
This interface was only support by plug-ins which explicitly require the org.eclipse.core.runtime.compatibility plug-in.

It is not used anymore as Eclipse 4.6 removed this plug-in.

Restriction:
  This interface is not intended to be implemented by clients. This interface is planned to be deleted, see https://bugs.eclipse.org/bugs/show_bug.cgi?id=544339
Restriction:
  This interface is not intended to be extended by clients.
Restriction:
  This interface is not intended to be referenced by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`URL` `find​(IPath path)` Deprecated.
`URL` `find​(IPath path, Map<String,​String> override)` Deprecated. Use
`IExtension` `getExtension​(String extensionName)` Deprecated.
`IExtensionPoint` `getExtensionPoint​(String extensionPointId)` Deprecated.
`IExtensionPoint[]` `getExtensionPoints()` Deprecated.
`IExtension[]` `getExtensions()` Deprecated.
`URL` `getInstallURL()` Deprecated.
`String` `getLabel()` Deprecated.
`Plugin` `getPlugin()` Deprecated.
`ClassLoader` `getPluginClassLoader()` Deprecated. Use
`IPluginPrerequisite[]` `getPluginPrerequisites()` Deprecated.
`String` `getProviderName()` Deprecated.
`ResourceBundle` `getResourceBundle()` Deprecated. Use
`String` `getResourceString​(String value)` Deprecated. Use
`String` `getResourceString​(String value, ResourceBundle resourceBundle)` Deprecated. Use
`ILibrary[]` `getRuntimeLibraries()` Deprecated.
`String` `getUniqueIdentifier()` Deprecated.
`PluginVersionIdentifier` `getVersionIdentifier()` Deprecated.
`boolean` `isPluginActivated()` Deprecated.

### Method Detail

#### getExtension

    @Deprecated
    IExtension getExtension​(String extensionName)

Deprecated.
Not supported anymore as Eclipse 4.6

#### getExtensionPoint

    @Deprecated
    IExtensionPoint getExtensionPoint​(String extensionPointId)

Deprecated.
Not supported anymore as Eclipse 4.6

#### getExtensionPoints

    @Deprecated
    IExtensionPoint[] getExtensionPoints()

Deprecated.
Not supported anymore as Eclipse 4.6

#### getExtensions

    @Deprecated
    IExtension[] getExtensions()

Deprecated.
Not supported anymore as Eclipse 4.6

#### getInstallURL

    @Deprecated
    URL getInstallURL()

Deprecated.
Not supported anymore as Eclipse 4.6

#### getLabel

    @Deprecated
    String getLabel()

Deprecated.
Not supported anymore as Eclipse 4.6

#### getPlugin

    @Deprecated
    Plugin getPlugin()
              throws CoreException

Deprecated.
Not supported anymore as Eclipse 4.6

Throws:
  `CoreException`

#### getPluginClassLoader

    @Deprecated
    ClassLoader getPluginClassLoader()

Deprecated.
Use

         bundle.loadClass(className)

where `bundle` is the bundle associated with the relevant plug-in.
Not supported anymore as Eclipse 4.6

#### getPluginPrerequisites

    @Deprecated
    IPluginPrerequisite[] getPluginPrerequisites()

Deprecated.
Not supported anymore as Eclipse 4.6

#### getProviderName

    @Deprecated
    String getProviderName()

Deprecated.
Not supported anymore as Eclipse 4.6

#### getResourceBundle

    @Deprecated
    ResourceBundle getResourceBundle()
                              throws MissingResourceException

Deprecated.
Use

         Platform.getResourceBundle(bundle)

where `bundle` is the bundle associated with the relevant plug-in.
Not supported anymore as Eclipse 4.6

Throws:
  `MissingResourceException`

#### getResourceString

    @Deprecated
    String getResourceString​(String value)

Deprecated.
Use

         Platform.getResourceString(bundle, value)

where `bundle` is the bundle associated with the relevant plug-in.
Not supported anymore as Eclipse 4.6

#### getResourceString

    @Deprecated
    String getResourceString​(String value,
                             ResourceBundle resourceBundle)

Deprecated.
Use

         Platform.getResourceString(bundle, value, resourceBundle)

where `bundle` is the bundle associated with the relevant plug-in.
Not supported anymore as Eclipse 4.6

#### getRuntimeLibraries

    @Deprecated
    ILibrary[] getRuntimeLibraries()

Deprecated.
Not supported anymore as Eclipse 4.6

#### getUniqueIdentifier

    @Deprecated
    String getUniqueIdentifier()

Deprecated.
Not supported anymore as Eclipse 4.6

#### getVersionIdentifier

    @Deprecated
    PluginVersionIdentifier getVersionIdentifier()

Deprecated.
Not supported anymore as Eclipse 4.6

#### isPluginActivated

    @Deprecated
    boolean isPluginActivated()

Deprecated.
Not supported anymore as Eclipse 4.6

#### find

    @Deprecated
    URL find​(IPath path)

Deprecated.
Not supported anymore as Eclipse 4.6

#### find

    @Deprecated
    URL find​(IPath path,
             Map<String,​String> override)

Deprecated.
Use

         Platform.find(bundle, path, override)

where `bundle` is the bundle associated with the relevant plug-in.
Not supported anymore as Eclipse 4.6